Ryzom - Bug # 389

Status: Closed Priority: Normal
Author: pocek Category: NeL: General
Created: 02/20/2009 Assignee: kervala
Updated: 09/30/2010 Due date:

Subiject: Compile error on 64-bit architecture

Description

Here it is:

[ 81%)] Building CXX object src/logic/CMakeFiles/nellogic.dir/logic_state_machine.o
/usr/src/packages/BUILD/nel/src/logic/logic_state_machine.cpp: In function 'void NLLOGIC::xmICheckNodeName(xmINode*&,
const char)":

/usr/src/packages/BUILD/nel/src/logic/logic_state_machine.cpp:60: error: cast from 'xmlChar*' to 'int' loses precision
/usr/src/packages/BUILD/nel/src/logic/logic_state_machine.cpp: In function 'std::string NLLOGIC::getXMLProp(xmINode*,
const char®)":

/usr/src/packages/BUILD/nel/src/logic/logic_state_machine.cpp:85: error: cast from 'xmIChar*' to 'int' loses precision

make[2]: *** [src/logic/CMakeFiles/nellogic.dir/logic_state_machine.o] Error 1

make[1]: *** [src/logic/CMakeFiles/nellogic.dir/all] Error 2

make: *** [all] Error 2

Version: current SVN (r1039)

History

#1 - 02/21/2009 10:30 am - kervala
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1040.

#2 - 02/21/2009 10:30 am - kervala
- Assignee set to kervala

#3 - 05/11/2009 04:47 pm - sfb

- Status changed from Resolved to Closed

#4 - 09/29/2010 09:29 pm - kervala
- Project changed from NeL to Ryzom

- Target version deleted (Version 0.7.0)
#5 - 09/30/2010 11:54 am - kervala

- Category set to NeL: General
- Target version set to Version 0.7.0
